#include "ExtendItemChargesQEEvaluator.h"
#include "EInventoryType.h"

class ASurvivor;
class ACollectable;
class ADBDPlayer;

void UExtendItemChargesQEEvaluator::OnSurvivorRemoved(ASurvivor* removedPlayer) const
{

}

void UExtendItemChargesQEEvaluator::OnItemRemoved(ACollectable* removedItem, EInventoryType inventoryType) const
{

}

void UExtendItemChargesQEEvaluator::OnItemEmpty(TWeakObjectPtr<ADBDPlayer> itemUser)
{

}

void UExtendItemChargesQEEvaluator::OnItemChargeChanged(const float previousCharge, const float currentCharge, TWeakObjectPtr<ADBDPlayer> itemUser, TWeakObjectPtr<ACollectable> item)
{

}

void UExtendItemChargesQEEvaluator::OnItemAdded(ACollectable* addedItem, EInventoryType inventoryType, TWeakObjectPtr<ADBDPlayer> player)
{

}

UExtendItemChargesQEEvaluator::UExtendItemChargesQEEvaluator()
{

}
